print/ghostscript-agpl - The NetBSD Packages Collection

Postscript interpreter

Ghostscript is the well-known PostScript interpreter which is available for
all common and most esoteric platforms and supports many different printers
and some displays.

Support for Cups is enabled by the "cups" option (off by default).

This is the latest version of Ghostscript, released under the GNU
Affero General Public License (AGPL).

Build dependencies

pkgtools/x11-links pkgtools/cwrappers devel/gmake devel/pkgconf

Runtime dependencies

fonts/ghostscript-fonts lang/perl5 print/libcups graphics/png graphics/tiff fonts/fontconfig fonts/fontconfig graphics/freetype2 graphics/freetype2 graphics/freetype2 devel/libidn graphics/jbig2dec graphics/jbig2dec graphics/lcms2 graphics/openjpeg print/libpaper print/libcups graphics/png graphics/tiff fonts/fontconfig devel/libidn

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfghostscript-agpl-9.53.3.tgz
NetBSD 8.0earmv7hfghostscript-agpl-9.53.1.tgz
NetBSD 8.0earmv7hfghostscript-agpl-9.53.3.tgz
NetBSD 8.0earmv7hfghostscript-agpl-9.54.0.tgz
NetBSD 8.0i386ghostscript-agpl-9.53.1nb1.tgz
NetBSD 8.0i386ghostscript-agpl-9.53.3.tgz
NetBSD 8.0i386ghostscript-agpl-9.53.3.tgz
NetBSD 8.0i386ghostscript-agpl-9.54.0.tgz
NetBSD 8.0powerpcghostscript-agpl-9.53.1.tgz
NetBSD 8.0powerpcghostscript-agpl-9.53.3.tgz
NetBSD 8.0powerpcghostscript-agpl-9.53.3.tgz
NetBSD 8.0powerpcghostscript-agpl-9.53.3.tgz
NetBSD 8.0x86_64ghostscript-agpl-9.53.3.tgz
NetBSD 8.0x86_64ghostscript-agpl-9.53.1nb1.tgz
NetBSD 8.0x86_64ghostscript-agpl-9.53.3.tgz
NetBSD 8.0x86_64ghostscript-agpl-9.54.0.tgz
NetBSD 9.0aarch64ghostscript-agpl-9.54.0.tgz
NetBSD 9.0aarch64ghostscript-agpl-9.53.1nb1.tgz
NetBSD 9.0aarch64ghostscript-agpl-9.53.3.tgz
NetBSD 9.0aarch64ghostscript-agpl-9.53.3.tgz
NetBSD 9.0alphaghostscript-agpl-9.53.3.tgz
NetBSD 9.0alphaghostscript-agpl-9.54.0.tgz
NetBSD 9.0earmghostscript-agpl-9.53.3.tgz
NetBSD 9.0earmghostscript-agpl-9.54.0.tgz
NetBSD 9.0earmv6hfghostscript-agpl-9.53.3.tgz
NetBSD 9.0earmv6hfghostscript-agpl-9.53.1.tgz
NetBSD 9.0earmv6hfghostscript-agpl-9.53.1nb1.tgz
NetBSD 9.0earmv6hfghostscript-agpl-9.53.3.tgz
NetBSD 9.0earmv6hfghostscript-agpl-9.53.3.tgz
NetBSD 9.0earmv6hfghostscript-agpl-9.54.0.tgz
NetBSD 9.0earmv7hfghostscript-agpl-9.53.3.tgz
NetBSD 9.0earmv7hfghostscript-agpl-9.53.1.tgz
NetBSD 9.0earmv7hfghostscript-agpl-9.53.3.tgz
NetBSD 9.0earmv7hfghostscript-agpl-9.53.3.tgz
NetBSD 9.0earmv7hfghostscript-agpl-9.53.3.tgz
NetBSD 9.0earmv7hfghostscript-agpl-9.54.0.tgz
NetBSD 9.0earmv7hfghostscript-agpl-9.54.0.tgz
NetBSD 9.0i386ghostscript-agpl-9.53.1nb1.tgz
NetBSD 9.0i386ghostscript-agpl-9.53.3.tgz
NetBSD 9.0i386ghostscript-agpl-9.53.3.tgz
NetBSD 9.0i386ghostscript-agpl-9.54.0.tgz
NetBSD 9.0m68kghostscript-agpl-9.53.3.tgz
NetBSD 9.0m68kghostscript-agpl-9.53.1.tgz
NetBSD 9.0m68kghostscript-agpl-9.54.0.tgz
NetBSD 9.0mips64ebghostscript-agpl-9.53.3.tgz
NetBSD 9.0mips64ebghostscript-agpl-9.53.1.tgz
NetBSD 9.0mips64ebghostscript-agpl-9.53.3.tgz
NetBSD 9.0mips64ebghostscript-agpl-9.54.0.tgz
NetBSD 9.0mipselghostscript-agpl-9.53.3.tgz
NetBSD 9.0mipselghostscript-agpl-9.54.0.tgz
NetBSD 9.0powerpcghostscript-agpl-9.53.3.tgz
NetBSD 9.0powerpcghostscript-agpl-9.53.1.tgz
NetBSD 9.0powerpcghostscript-agpl-9.53.3.tgz
NetBSD 9.0powerpcghostscript-agpl-9.53.3.tgz
NetBSD 9.0powerpcghostscript-agpl-9.53.3.tgz
NetBSD 9.0sh3elghostscript-agpl-9.53.3.tgz
NetBSD 9.0sh3elghostscript-agpl-9.54.0.tgz
NetBSD 9.0sparc64ghostscript-agpl-9.53.3.tgz
NetBSD 9.0sparc64ghostscript-agpl-9.54.0.tgz
NetBSD 9.0sparcghostscript-agpl-9.53.3.tgz
NetBSD 9.0sparcghostscript-agpl-9.53.1.tgz
NetBSD 9.0sparcghostscript-agpl-9.53.1nb1.tgz
NetBSD 9.0sparcghostscript-agpl-9.53.3.tgz
NetBSD 9.0sparcghostscript-agpl-9.54.0.tgz
NetBSD 9.0x86_64ghostscript-agpl-9.53.3.tgz
NetBSD 9.0x86_64ghostscript-agpl-9.54.0.tgz
NetBSD 9.0x86_64ghostscript-agpl-9.53.3.tgz
NetBSD 9.0x86_64ghostscript-agpl-9.53.3.tgz
NetBSD 9.0x86_64ghostscript-agpl-9.53.1nb1.tgz
NetBSD 9.0x86_64ghostscript-agpl-9.53.3.tgz
NetBSD 9.0x86_64ghostscript-agpl-9.54.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

cups
Enable cups (Common UNIX Printing System) support.
debug
Enable debugging facilities in the package.
disable-compile-inits
Disable compile time implicit initialization.
fontconfig
Enable FONTCONFIG (fonts/fontconfig) support.
utf8
Enable UTF-8 (iconv) character encoding support.
x11
Enable X11 support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.